Skip to content

Get AR aging

GET
/api/v1/tenants/{tenant_id}/workspaces/{workspace_id}/invoices/ar/aging

Return accounts receivable aging buckets for outbound invoices.

as_of_date
Any of:
string format: date
X-Workspace-ID
Any of:
string
X-API-Key
Any of:
string
X-Tenant-ID
Any of:
string

Successful Response

InvoiceAgingResponse

AR aging snapshot response.

object
as_of_date
required
As Of Date
string format: date
buckets
required
Buckets
Array<object>
InvoiceAgingBucket

Accounts receivable aging bucket.

object
label
required
Label
string
amount_due
Amount Due
string
default: 0 /^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
invoice_count
Invoice Count
integer
0
total_amount_due
Total Amount Due
string
default: 0 /^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
total_invoices
Total Invoices
integer
0
Examples

200 response example

{
"as_of_date": "2026-02-11",
"buckets": [
{
"label": "string",
"amount_due": "0",
"invoice_count": 0
}
],
"total_amount_due": "0",
"total_invoices": 0
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples

422 response example

{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string"
}
]
}